Index: src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java	(revision 4080)
@@ -25,7 +25,10 @@
 import java.io.File;
 
 import edu.ucsb.nceas.metacat.DBConnection;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import com.vividsolutions.jts.geom.Coordinate;
 import com.vividsolutions.jts.geom.Point;
@@ -49,154 +52,169 @@
 import org.apache.log4j.Logger;
 
 /**
-
- * Class representing the spatial portions of an xml document
- * as a geotools Feature.
+ * 
+ * Class representing the spatial portions of an xml document as a geotools
+ * Feature.
  */
 public class SpatialDocument {
 
-  private DBConnection dbconn;
+	private DBConnection dbconn;
 
-  private static Logger log =
-      Logger.getLogger(SpatialDocument.class.getName());
+	private static Logger log = Logger.getLogger(SpatialDocument.class.getName());
 
-  private SpatialFeatureSchema featureSchema = new SpatialFeatureSchema();
+	private SpatialFeatureSchema featureSchema = new SpatialFeatureSchema();
 
-  Vector west = new Vector();
-  Vector south = new Vector();
-  Vector east = new Vector();
-  Vector north = new Vector();
+	Vector west = new Vector();
+	Vector south = new Vector();
+	Vector east = new Vector();
+	Vector north = new Vector();
 
-  String title = "";
-  String docid = null;
+	String title = "";
+	String docid = null;
 
-  /** 
-   * Constructor that queries the db 
-   *
-   * @param docid The document id to be represented spatially
-   * @param dbconn The database connection shared from the refering method.
-   */
-  public SpatialDocument( String docid , DBConnection dbconn ) {
+	/**
+	 * Constructor that queries the db
+	 * 
+	 * @param docid
+	 *            The document id to be represented spatially
+	 * @param dbconn
+	 *            The database connection shared from the refering method.
+	 */
+	public SpatialDocument(String docid, DBConnection dbconn) {
 
-    this.docid = docid;
-    PreparedStatement pstmt = null;
-    ResultSet rs = null;
-    this.dbconn = dbconn;
-    boolean isSpatialDocument = false;
-    String thisDocname = null;
-    String westPath = null;
-    String eastPath = null;
-    String northPath = null;
-    String southPath = null;
-   
-    /*
-     * Determine the docname/schema and decide how to proceed with
-     * spatial harvest
-     */
-    String query = "SELECT docname FROM xml_documents WHERE docid='" + docid.trim() + "';";
-    String docname = "";
-    try {
-      pstmt = dbconn.prepareStatement(query);
-      pstmt.execute();
-      rs = pstmt.getResultSet();
-      while (rs.next()) {
-        docname = rs.getString(1);	
-      }
-      rs.close();
-      pstmt.close();
-    }
-    catch(Exception e) {
-      log.error(" ---- Could not get docname for " + docid );
-      e.printStackTrace();
-    }      
-    if (docname == null) 
-	    docname = "";
+		this.docid = docid;
+		PreparedStatement pstmt = null;
+		ResultSet rs = null;
+		this.dbconn = dbconn;
+		boolean isSpatialDocument = false;
+		String thisDocname = null;
+		String westPath = null;
+		String eastPath = null;
+		String northPath = null;
+		String southPath = null;
 
-    // Loop through all our spatial docnames and determine if the current document matches
-    // If so, get the appropriate corner xpaths
-    Vector spatialDocnames = MetaCatUtil.getOptionList( MetaCatUtil.getOption("spatialDocnameList") );
-    for (int i = 0; i < spatialDocnames.size(); i++) {
-	    thisDocname = ((String)spatialDocnames.elementAt(i)).trim();
-	    if ( docname.trim().equals(thisDocname) ) {
-		    isSpatialDocument = true;
+		/*
+		 * Determine the docname/schema and decide how to proceed with spatial
+		 * harvest
+		 */
+		String query = "SELECT docname FROM xml_documents WHERE docid='" + docid.trim()
+				+ "';";
+		String docname = "";
+		try {
+			pstmt = dbconn.prepareStatement(query);
+			pstmt.execute();
+			rs = pstmt.getResultSet();
+			while (rs.next()) {
+				docname = rs.getString(1);
+			}
+			rs.close();
+			pstmt.close();
+		} catch (Exception e) {
+			log.error(" ---- Could not get docname for " + docid);
+			e.printStackTrace();
+		}
+		if (docname == null)
+			docname = "";
 
-    		    //  determine its east,west,north and south coord xpaths
-		    westPath = MetaCatUtil.getOption(thisDocname + "_westBoundingCoordinatePath");
-		    eastPath = MetaCatUtil.getOption(thisDocname + "_eastBoundingCoordinatePath");
-		    northPath = MetaCatUtil.getOption(thisDocname + "_northBoundingCoordinatePath");
-		    southPath = MetaCatUtil.getOption(thisDocname + "_southBoundingCoordinatePath");
-	    }
-    }
+		// Loop through all our spatial docnames and determine if the current
+		// document matches
+		// If so, get the appropriate corner xpaths
+		try {
+			Vector spatialDocnames = MetaCatUtil.getOptionList(PropertyService
+					.getProperty("spatialDocnameList"));
+			for (int i = 0; i < spatialDocnames.size(); i++) {
+				thisDocname = ((String) spatialDocnames.elementAt(i)).trim();
+				if (docname.trim().equals(thisDocname)) {
+					isSpatialDocument = true;
 
-    //  If it is a spatial document, harvest the corners and title 
-    if (isSpatialDocument) {
+					// determine its east,west,north and south coord xpaths
+					westPath = PropertyService.getProperty(thisDocname
+							+ "_westBoundingCoordinatePath");
+					eastPath = PropertyService.getProperty(thisDocname
+							+ "_eastBoundingCoordinatePath");
+					northPath = PropertyService.getProperty(thisDocname
+							+ "_northBoundingCoordinatePath");
+					southPath = PropertyService.getProperty(thisDocname
+							+ "_southBoundingCoordinatePath");
+				}
+			}
+		} catch (PropertyNotFoundException pnfe) {
+			log.error("Could not find spatialDocnameList or bounding coordinate "
+					+ "path for: " + docid);
+			pnfe.printStackTrace();
+		}
 
-	    /*
-	     * Get the bounding coordinates
-	     */
-	    query = "SELECT path, nodedatanumerical, parentnodeid FROM xml_path_index"
-	    + " WHERE docid = '" + docid.trim() + "'"
-	    + " AND docid IN (SELECT distinct docid FROM xml_access WHERE docid = '" + docid.trim() 
-	    + "' AND principal_name = 'public' AND perm_type = 'allow')"
-	    + " AND (path = '" + westPath + "'"
-	    + "  OR path = '" + southPath + "'"
-	    + "  OR path = '" +  eastPath + "'"
-	    + "  OR path = '" + northPath + "'"
-	    + " ) ORDER BY parentnodeid;";
+		// If it is a spatial document, harvest the corners and title
+		if (isSpatialDocument) {
 
-	    try {
-	      pstmt = dbconn.prepareStatement(query);
-	      pstmt.execute();
-	      rs = pstmt.getResultSet();
-	      while (rs.next()) {
-		if ( rs.getString(1).equals(westPath) )
-		    this.west.add( new Float(rs.getFloat(2)) );
-		else if ( rs.getString(1).equals(southPath) )
-		    this.south.add( new Float(rs.getFloat(2)) );
-		else if ( rs.getString(1).equals(eastPath) )
-		    this.east.add( new Float(rs.getFloat(2)) );
-		else if ( rs.getString(1).equals(northPath) )
-		    this.north.add( new Float(rs.getFloat(2)) );
-		else
-		    log.error("** An xml path not related to your bounding coordinates was returned by this query \n" + query + "\n");
-	      }
-	      rs.close();
-	      pstmt.close();
-	    }
-	    catch(Exception e) {
-	      log.error(" ---- Could not get bounding coordinates for " + docid );
-	      e.printStackTrace();
-	    }      
+			/*
+			 * Get the bounding coordinates
+			 */
+			query = "SELECT path, nodedatanumerical, parentnodeid FROM xml_path_index"
+					+ " WHERE docid = '"
+					+ docid.trim()
+					+ "'"
+					+ " AND docid IN (SELECT distinct docid FROM xml_access WHERE docid = '"
+					+ docid.trim()
+					+ "' AND principal_name = 'public' AND perm_type = 'allow')"
+					+ " AND (path = '" + westPath + "'" + "  OR path = '" + southPath
+					+ "'" + "  OR path = '" + eastPath + "'" + "  OR path = '"
+					+ northPath + "'" + " ) ORDER BY parentnodeid;";
 
-	    /*
-	     * Get the title
-	     */
-	    String docTitlePath = MetaCatUtil.getOption("docTitle");
-	    query = "select nodedata from xml_path_index where path = '" 
-		  + docTitlePath.trim() + "' and docid = '" + docid.trim() + "'";
+			try {
+				pstmt = dbconn.prepareStatement(query);
+				pstmt.execute();
+				rs = pstmt.getResultSet();
+				while (rs.next()) {
+					if (rs.getString(1).equals(westPath))
+						this.west.add(new Float(rs.getFloat(2)));
+					else if (rs.getString(1).equals(southPath))
+						this.south.add(new Float(rs.getFloat(2)));
+					else if (rs.getString(1).equals(eastPath))
+						this.east.add(new Float(rs.getFloat(2)));
+					else if (rs.getString(1).equals(northPath))
+						this.north.add(new Float(rs.getFloat(2)));
+					else
+						log.error("** An xml path not related to your bounding coordinates was returned by this query \n"
+										+ query + "\n");
+				}
+				rs.close();
+				pstmt.close();
+			} catch (Exception e) {
+				log.error(" ---- Could not get bounding coordinates for " + docid);
+				e.printStackTrace();
+			}
 
-	    try {
-	      pstmt = dbconn.prepareStatement(query);
-	      pstmt.execute();
-	      rs = pstmt.getResultSet();
-	      if (rs.next())
-		this.title = rs.getString(1);
-	      rs.close();
-	      pstmt.close();
-	    }
-	    catch(Exception e) {
-	      log.error(" **** Error getting docids from getTitle for docid = "+docid);
-	      e.printStackTrace();
-	      this.title = docid;
-	    }
-    }
+			/*
+			 * Get the title
+			 */
 
+			try {
+
+				String docTitlePath = PropertyService.getProperty("docTitle");
+				query = "select nodedata from xml_path_index where path = '"
+						+ docTitlePath.trim() + "' and docid = '" + docid.trim() + "'";
+				pstmt = dbconn.prepareStatement(query);
+				pstmt.execute();
+				rs = pstmt.getResultSet();
+				if (rs.next())
+					this.title = rs.getString(1);
+				rs.close();
+				pstmt.close();
+			} catch (Exception e) {
+				log.error(" **** Error getting docids from getTitle for docid = "
+								+ docid);
+				e.printStackTrace();
+				this.title = docid;
+			}
+		}
+
   }
 
-  /** 
-   * Returns a geotools (multi)polygon feature with geometry plus attributes
-   * ready to be inserted into our spatial dataset cache
-   */
+  /**
+	 * Returns a geotools (multi)polygon feature with geometry plus attributes
+	 * ready to be inserted into our spatial dataset cache
+	 */
   public Feature getPolygonFeature() {
       // Get polygon feature type
       FeatureType polyType = featureSchema.getPolygonFeatureType();
@@ -253,10 +271,16 @@
    * @param docid The document id for which to construct the access url.
    */
   private String getUrl( String docid ) {
-     String docUrl = MetaCatUtil.getOption("metacatUrl")  
-                    + "?action=read"
-                    + "&docid=" + docid 
-                    + "&qformat=" + MetaCatUtil.getOption("default-style");
+     String docUrl = null;
+     try {
+    	 docUrl = SystemUtil.getServletURL()
+                    + "?action=read&docid=" + docid 
+                    + "&qformat=" 
+                    + PropertyService.getProperty("default-style");
+     } catch (PropertyNotFoundException pnfe) {
+    	 log.error("Could not get access url because of unavailable property: " 
+    			 + pnfe.getMessage());
+     }
 
      return docUrl;
   }
Index: src/edu/ucsb/nceas/metacat/spatial/SpatialFeatureSchema.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SpatialFeatureSchema.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/spatial/SpatialFeatureSchema.java	(revision 4080)
@@ -22,7 +22,8 @@
  */
 package edu.ucsb.nceas.metacat.spatial;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import com.vividsolutions.jts.geom.MultiPolygon;
 import com.vividsolutions.jts.geom.MultiPoint;
@@ -40,12 +41,22 @@
  */
 public class SpatialFeatureSchema {
 
-  private static Logger log =
-      Logger.getLogger(SpatialFeatureSchema.class.getName());
+	private static Logger log = Logger.getLogger(SpatialFeatureSchema.class.getName());
 
-  public static String polygonShpUri = MetaCatUtil.getOption("certPath") + "data/metacat_shps/data_bounds.shp";
-  public static String pointShpUri = MetaCatUtil.getOption("certPath")+ "data/metacat_shps/data_points.shp";
+	private static String certPath;
+	static {
+		try {
+			certPath = SystemUtil.getContextDir();
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("Error in SpatialFeatureSchema static block:"
+                    + pnfe.getMessage());
+            pnfe.printStackTrace();
+		}
+	}
+	public static String polygonShpUri = certPath + "data/metacat_shps/data_bounds.shp";
+	public static String pointShpUri = certPath + "data/metacat_shps/data_points.shp";
 
+
   // EPSG for latlong coordinate system w/ WGS84 datum
   public static int srid = 4326;
 
Index: src/edu/ucsb/nceas/metacat/spatial/SldFactory.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SldFactory.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/spatial/SldFactory.java	(revision 4080)
@@ -38,7 +38,7 @@
 package edu.ucsb.nceas.metacat.spatial;
 
 import edu.ucsb.nceas.utilities.XMLUtilities;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletContext;
@@ -102,43 +102,46 @@
   }
 
   /**
-   * Control servlet response depending on the action parameter specified
-   * Modifies the original SLD according to various access contraints
-   * and sends it as the servlet response.
-   *
-   * @param request Incoming servlet request.
-   * @param response Servlet response.
-   */
-  private void handleGetOrPost(HttpServletRequest request, HttpServletResponse response)
-  throws ServletException, IOException
-  {
-    String dataset = request.getParameter("originalSld"); 
-    String filename = MetaCatUtil.getOption("certPath") + "data/styles/" + dataset;
-    try {
-	String sld = getSld(filename);
-        System.out.println(sld);
-	response.setContentType("text/xml");
-	response.getWriter().write(sld);
-    } catch (FileNotFoundException fnf) {
-	fnf.printStackTrace();
-    } catch (Exception e) {
-        e.printStackTrace();
-    }
-    
-  }
+	 * Control servlet response depending on the action parameter specified
+	 * Modifies the original SLD according to various access contraints and
+	 * sends it as the servlet response.
+	 * 
+	 * @param request
+	 *            Incoming servlet request.
+	 * @param response
+	 *            Servlet response.
+	 */
+	private void handleGetOrPost(HttpServletRequest request, HttpServletResponse response)
+			throws ServletException, IOException {
+		String dataset = request.getParameter("originalSld");
+
+		try {
+			String certPath = SystemUtil.getContextDir();
+			String filename = certPath + "data/styles/" + dataset;
+			String sld = getSld(filename);
+			System.out.println(sld);
+			response.setContentType("text/xml");
+			response.getWriter().write(sld);
+		} catch (FileNotFoundException fnf) {
+			fnf.printStackTrace();
+		} catch (Exception e) {
+			e.printStackTrace();
+		}
+
+	}
   
   /**
-   * Given a filename of an existing SLD document,
-   * reads the sld and adds an ogc:Filter to exclude/include
-   * certain docids based on user's permissions. 
-   * The sld file is specified without path and 
-   * must exist within geoserver's styles folder (context/data/styles/*)
-   * 
-   * returns SLD document as a String.
-   * 
-   * @param filename	Filename of the base sld.
-   * @todo Implement the doc id list queries for contraints.
-   */
+	 * Given a filename of an existing SLD document, reads the sld and adds an
+	 * ogc:Filter to exclude/include certain docids based on user's permissions.
+	 * The sld file is specified without path and must exist within geoserver's
+	 * styles folder (context/data/styles/*)
+	 * 
+	 * returns SLD document as a String.
+	 * 
+	 * @param filename
+	 *            Filename of the base sld.
+	 * @todo Implement the doc id list queries for contraints.
+	 */
   private String getSld(String filename) throws FileNotFoundException
   {
 	    DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
Index: lib/style/skins/dev/loadxml.jsp
===================================================================
--- lib/style/skins/dev/loadxml.jsp	(revision 4079)
+++ lib/style/skins/dev/loadxml.jsp	(revision 4080)
@@ -30,6 +30,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
    
 <html>
 <head>
Index: lib/style/common/fgdc/ClientViewHelper.jspx
===================================================================
--- lib/style/common/fgdc/ClientViewHelper.jspx	(revision 4079)
+++ lib/style/common/fgdc/ClientViewHelper.jspx	(revision 4080)
@@ -3,7 +3,7 @@
     
     <jsp:directive.page contentType="text/html;charset=UTF-8"/>
     <jsp:directive.page import="com.oreilly.servlet.multipart.MultipartParser"/>
-    <jsp:directive.page import="edu.ucsb.nceas.metacat.MetaCatUtil"/>
+    <jsp:directive.page import="edu.ucsb.nceas.metacat.service.PropertyService"/>
     <jsp:directive.page import="java.io.*"/>
     <jsp:directive.page import="javax.servlet.*"/>
     <jsp:directive.page import="javax.servlet.http.*"/>
@@ -20,7 +20,7 @@
     </jsp:declaration>
     
     <jsp:scriptlet>
-        sizeLimit = (new Integer(MetaCatUtil.getOption("datafilesizelimit"))).intValue();
+        sizeLimit = (new Integer(PropertyService.getProperty("datafilesizelimit"))).intValue();
         clientHelper = ClientViewHelper.clientViewHelperInstance(request);
         
         contentType = request.getContentType();
Index: src/upgrade-db-to-1.5.sql
===================================================================
--- src/upgrade-db-to-1.5.sql	(revision 4079)
+++ src/upgrade-db-to-1.5.sql	(revision 4080)
@@ -30,49 +30,49 @@
  * to local schema or dtd file.
  */
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-access-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-access-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-access-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-attribute-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-attribute-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-attribute-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-constraint-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-constraint-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-constraint-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-coverage-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-coverage-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-coverage-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-coverage-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-coverage-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-coverage-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-dataset-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-dataset-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-dataset-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-entity-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-entity-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-entity-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-literature-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-literature-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-literature-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-physical-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-physical-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-physical-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-project-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-project-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-project-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-protocol-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-protocol-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-protocol-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-software-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-software-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-software-@eml-version@//EN';
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/eml.xsd'
+  SET system_id = '/schema/eml-2.0.0/eml.xsd'
   WHERE public_id = '@eml2_0_0namespace@';
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.1/eml.xsd'
+  SET system_id = '/schema/eml-2.0.1/eml.xsd'
   WHERE public_id = '@eml2_0_1namespace@';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/stmml.xsd'
+   SET system_id = '/schema/eml-2.0.0/stmml.xsd'
    WHERE public_id = '@stmmlnamespace@';
 
    
Index: src/loadschema.sql
===================================================================
--- src/loadschema.sql	(revision 4079)
+++ src/loadschema.sql	(revision 4080)
@@ -1,6 +1,6 @@
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_0_1namespace@', '@systemidserver@@html-path@/schema/eml-2.0.1/eml.xsd');
+  VALUES ('Schema', '@eml2_0_1namespace@', '/schema/eml-2.0.1/eml.xsd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_0_0namespace@', '@systemidserver@@html-path@/schema/eml-2.0.1/eml.xsd');
+  VALUES ('Schema', '@eml2_0_0namespace@', '/schema/eml-2.0.1/eml.xsd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@stmmlnamespace@', '@systemidserver@@html-path@/schema/eml-2.0.1/stmml.xsd');
+  VALUES ('Schema', '@stmmlnamespace@', '/schema/eml-2.0.1/stmml.xsd');
Index: src/upgrade-db-to-1.4-postgres.sql
===================================================================
--- src/upgrade-db-to-1.4-postgres.sql	(revision 4079)
+++ src/upgrade-db-to-1.4-postgres.sql	(revision 4080)
@@ -120,10 +120,10 @@
  * Update the XML_CATALOG table with new entries, and change old ones
  */
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_0_1namespace@', '@systemidserver@@html-path@/schema/eml-2.0.1/eml.xsd');
+  VALUES ('Schema', '@eml2_0_1namespace@', '/schema/eml-2.0.1/eml.xsd');
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/eml.xsd'
+  SET system_id = '/schema/eml-2.0.0/eml.xsd'
   WHERE public_id = '@eml2_0_0namespace@';
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/stmml.xsd'
+  SET system_id = '/schema/eml-2.0.0/stmml.xsd'
   WHERE public_id = '@stmmlnamespace@';
